Announcement

Collapse
No announcement yet.

2/15/19 - New Firmware for Hubs available which may break plugin until you do this...

Collapse
This is a sticky topic.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    #46
    Originally posted by DMT View Post

    Yes, I had enabled XMPP prior to the hub updating to .250 and yes, a sync is automatically initiated next time you touch the remote.
    I just enabled XMPP on one of my hubs and it did not initiate the sync. It might be wise to manually do one after enabling XMPP.

    Edit: I'm up to 2 hubs that didn't automatically sync.
    MeiAutomtion Home

    Comment


      #47
      So far 5 of my 6 hubs updated and are working correctly. They range in age from 2014 to an Elite I just bought in December of 2018.

      My 6th actually claims i have to do a factory reset of the hub due to a security reason and I'm not sure what htat could be. It merely states:

      HTML Code:
      "Something not quite right!
      S0400: Kindly factory reset yoru hub for security reason and try."
      (literally, it just stops at "try.")
      MeiAutomtion Home

      Comment


        #48
        I disabled the plugin then updated just one hub (Harmony Ultimate). XMPP was enabled. After the update I disabled and enabled again. Either way as soon as you touch the remote it syncs. Then I re-enabled the plugin and tested a sequence of activities Watch TV - Off - Watch TV.

        Here is an abbreviation of the error messages (in reverse order):

        The Connection to Hub with ID 4c... failed with a stack trace
        Plugin MeiHarmonyHub with instance: has disconnected
        I/O interface MeiHarmonyHub is down,
        executable is not running, restarting . . .
        Plugin MeiHarmonyHub had connected. IP:127.0.0.1:60528

        So it looks like the plugin crashed and restarted. I then tried the same activity sequence on another hub (still on .210 and blocked) and it's ok. I have to conclude there is something different about firmware .250 I will investigate further. Thanks.


        Comment


          #49
          Update - I installed the Beta 3.1.0.12 and I'm back in business - So far so good - If anything changes, I'll update this status.

          Comment


            #50
            Originally posted by DMT View Post
            I disabled the plugin then updated just one hub (Harmony Ultimate). XMPP was enabled. After the update I disabled and enabled again. Either way as soon as you touch the remote it syncs. Then I re-enabled the plugin and tested a sequence of activities Watch TV - Off - Watch TV.

            Here is an abbreviation of the error messages (in reverse order):

            The Connection to Hub with ID 4c... failed with a stack trace
            Plugin MeiHarmonyHub with instance: has disconnected
            I/O interface MeiHarmonyHub is down,
            executable is not running, restarting . . .
            Plugin MeiHarmonyHub had connected. IP:127.0.0.1:60528

            So it looks like the plugin crashed and restarted. I then tried the same activity sequence on another hub (still on .210 and blocked) and it's ok. I have to conclude there is something different about firmware .250 I will investigate further. Thanks.

            Having the full Log file would be great (go to Plugins -> MeiHarmonyHub -> General Settings and check Debug Logging) This will generate a file as I stated in the location below.
            MeiAutomtion Home

            Comment


              #51
              Originally posted by sirmeili View Post

              Having the full Log file would be great (go to Plugins -> MeiHarmonyHub -> General Settings and check Debug Logging) This will generate a file as I stated in the location below.
              Interesting - I saw a new device control option for the hub that I hadn't noticed before "Poll Hub For Changes". I pressed that, everything works and no more error messages in the logs.

              Further checking tomorrow but all looks good. Thanks for your help.

              Comment


                #52
                Originally posted by DMT View Post

                Interesting - I saw a new device control option for the hub that I hadn't noticed before "Poll Hub For Changes". I pressed that, everything works and no more error messages in the logs.

                Further checking tomorrow but all looks good. Thanks for your help.
                Hmm...it should perform that same action when you start the plugin. I'll check just to be sure that it's working correctly on startup.

                Glad it's all sorted out for you though
                MeiAutomtion Home

                Comment


                  #53
                  Hi, 3.1.0.6 stopt working, update to the BETA version 3.1.0.12.
                  Now the plug-in is not listed!!
                  What to do?

                  P.S. I'm on linux, and my hub update (auto) from .210 to .250, and XMPP is enabled.
                  Last edited by Paul32; February 22, 2019, 02:21 AM. Reason: extra info

                  Comment


                    #54
                    Originally posted by Paul32 View Post
                    Hi, 3.1.0.6 stopt working, update to the BETA version 3.1.0.12.
                    Now the plug-in is not listed!!
                    What to do?

                    P.S. I'm on linux, and my hub update (auto) from .210 to .250, and XMPP is enabled.
                    Are there any errors in the HS log? The only way that would happen is if it can't start the .exe. I will check it out on my Pi here at the house
                    MeiAutomtion Home

                    Comment


                      #55
                      So I tried it on my Pi and experienced the same issue. My logging was causing it to fail. So I removed my logging code and it worked. I added it back and it worked. I made changes to a DLL I use and I think that the issue is that HS3 didn't update that file! I will have to check the updater file to make sure it is always overwriting. I'll release .13 soon to see if it works for you.
                      MeiAutomtion Home

                      Comment


                        #56
                        Originally posted by Paul32 View Post
                        Hi, 3.1.0.6 stopt working, update to the BETA version 3.1.0.12.
                        Now the plug-in is not listed!!
                        What to do?

                        P.S. I'm on linux, and my hub update (auto) from .210 to .250, and XMPP is enabled.
                        Can you check the last modified date on [hs3 install path]/bin/MeiHarmonyHub/MBPlugins.dll and tell me what it is?
                        MeiAutomtion Home

                        Comment


                          #57
                          Originally posted by sirmeili View Post

                          Can you check the last modified date on [hs3 install path]/bin/MeiHarmonyHub/MBPlugins.dll and tell me what it is?
                          De date is old (see attachement), only the folder date is changed.

                          Comment


                            #58
                            Originally posted by sirmeili View Post
                            So I tried it on my Pi and experienced the same issue. My logging was causing it to fail. So I removed my logging code and it worked. I added it back and it worked. I made changes to a DLL I use and I think that the issue is that HS3 didn't update that file! I will have to check the updater file to make sure it is always overwriting. I'll release .13 soon to see if it works for you.
                            Great, let me know when .13 is available

                            Comment


                              #59
                              Originally posted by Paul32 View Post

                              Great, let me know when .13 is available
                              Ok, it's not as easy as I thought.I'm working on it, but I can't get it installed on my raspberry pi anymore. Its a really obscure error too, which makes it hard to resolve. Note that plugin should run just fine, but something is off with HS3's inspection of the .exe and one of my libraries.
                              MeiAutomtion Home

                              Comment


                                #60
                                Originally posted by Paul32 View Post

                                Great, let me know when .13 is available
                                Can you please try .13 in the updater (in the beta section)
                                MeiAutomtion Home

                                Comment

                                Working...
                                X